% -------------------------------------------%  
% Rutina que realiza la grafica 
% tiemo-angulo de acoplo-angulo-inestable
% -------------------------------------------%  


% -------------------------------------------%  
% Graficas tiempo-angulo
% donde se realiza el acoplo
% -------------------------------------------%

if max(z(:,2))<ang_inest
   plot(t,z(:,2))
   cad=num2str(Tet_0);
   cad16=num2str(r*Tet_0);
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     angulo de acoplo [grados] =',cad,'     distancia de acoplo [m] =',cad16]);
   asterisco_Pos_Vel=text(tinter,Tet_0,'*');
   xlabel('posicion angular en rad');ylabel('velocidad angular en rad/s')
   grid on
end

% -------------------------------------------%  
%  Graficas tiempo-angulo donde
%  comienza la inestabilidad del sistema
% -------------------------------------------%

if max(z(:,2))>=ang_inest
    hold on
    pause
    plot(t,(180/pi)*z(:,2),'r')  % Porcion de la grafica inestable
    grid on
    T_inest=t(k,1);
   omega_inest=z(k,1);
   cad1=num2str(T_inest);
   cad2=num2str((180/pi)*ang_inest);
   cad20=num2str(r*ang_inest);
   asterisco_Pos2=text(T_inest,(180/pi)*ang_inest,'# PI');  
   asterisco_Pos20=text(tinter,(180/pi)*Tet_0,'# AI'); 
   title(['t de acoplo critico [s] =',cad5,'     t inestable [s] =',cad1,'     angulo de inestabilidad [grados] =',cad2,'     dist. inestabilidad [m] =',cad20]);
    axis([ti tf -1.2*(180/pi)*ang_inest 1.2*(180/pi)*ang_inest])
     hold on
   break
end
