% Rutina que realiza la grafica del plano de fase

% posicion - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%

if max(z(:,2))<ang_inest
    
   plot(z1(:,2),z1(:,1),'black')
   hold on
   plot(z2(:,2),z2(:,1),'blue')
   hold on;
   cad=num2str(Tet_0);
   cad16=num2str(r*Tet_0);
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     angulo de acoplo [rad] =',cad,'     distancia de acoplo [m] =',cad16]);
   asterisco_Pos_Vel=text((180/pi)*Tet_0,DTet_0,'|');
   xlabel('posicion angular en rad');ylabel('velocidad angular en rad/s')
   grid on
   z1p2=z1(:,2);
   z1p1=z1(:,1);
   z2p2=z2(:,2);
   z2p1=z2(:,1);
   
end

if max(z(:,2))>=ang_inest
   plot(z1p2,z1p1,'black')
   hold on
   plot(z2p2,z2p1,'r')
   pause
   hold on;
end


if max(z(:,2))>=ang_inest
    plot(z1(:,2),z1(:,1),'black')  % Porcion de la grafica inestable
    hold on
    plot(z2(:,2),z2(:,1),'black')  % Porcion de la grafica inestable
    hold on
   T_inest=t(k,1);
   omega_inest=z(k,1);
   cad1=num2str(T_inest);
   cad2=num2str(ang_inest);
   cad20=num2str(r*ang_inest);
   asterisco_Pos2=text(ang_inest,omega_inest,'# PI');  
   asterisco_Pos20=text(Tet_0,DTet_0,'# AI'); 
   title(['t de acoplo [s] =',cad5,'     t inestable [s] =',cad1,'     angulo de inestabilidad [rad] =',cad2,'     dist. inestabilidad [m] =',cad20]);
    axis([0 1.2*pi -3 5])
    break
end
  