% Rutina que realiza las graficas en subplot

% tiempo - posicion
% tiempo - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%

if max(z(:,2))<ang_inest
    subplot(2,1,1)
   plot(t,z(:,2))
   cad=num2str(Tet_0);
   cad16=num2str(r*Tet_0);
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     angulo de acoplo [grados] =',cad,'     distancia de acoplo [m] =',cad16]);
   asterisco_Pos_Vel=text(tinter,Tet_0,'*');
   xlabel('tiempo, en s');
   ylabel('q, en rad')
   
   
   grid on
   
   subplot(2,1,2)
   plot(t,z(:,1))
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     velocidad angular de acoplo [rad/s] =',cad6]);
   asterisco_Pos_Vel=text(tinter,DTet_0,'*');
   xlabel('tiempo, en s');ylabel('w, en rad/s')
   grid on
   
end

% -------------------------------------------%  
%  Graficas tiempo-angulo donde
%  comienza la inestabilidad del sistema
% -------------------------------------------%

if max(z(:,2))>=ang_inest
   
    pause
    subplot(2,1,1)
    plot(t,z(:,2),'r')  % Porcion de la grafica inestable
    grid on
    T_inest=t(k,1);
    omega_inest=z(k,1);
    cad_omega=num2str(omega_inest);
    cad1=num2str(T_inest);
    cad2=num2str((180/pi)*ang_inest);
    cad20=num2str(r*ang_inest);
    asterisco_Pos2=text(T_inest,ang_inest,'*');  
    asterisco_Pos20=text(tinter,Tet_0,'*'); 
    xlabel('tiempo en segundos');ylabel('posicion angular en rad/s')
    title(['t de acoplo critico [s] =',cad5,'     t inestable [s] =',cad1,'     posicion angular de inestabilidad [grados] =',cad2]);
    %axis([ti,2,0,4])
    subplot(2,1,2)
    plot(t,z(:,1),'r')  % Porcion de la grafica inestable
    grid on
    T_inest=t(k,1);
    omega_inest=z(k,1);
   cad_omega=num2str(omega_inest);
   cad1=num2str(T_inest);
   asterisco_Pos2=text(T_inest,omega_inest,'*');  
   asterisco_Pos20=text(tinter,DTet_0,'*'); 
   xlabel('tiempo en segundos');ylabel('velocidad angular en rad/s')
   title(['     velocidad angular de inestabilidad [grados] =',cad_omega]);  
   %axis([ti,2,0,20])
    
     hold on
   break
end
