% -----------------------------------------------------------------%   
% Rutina que realiza las graficas en subplot
% tiempo - posicion
% tiempo - velocidad
% -----------------------------------------------------------------%  
 if abs(max(z(:,2)))<ang_inest
     plot(t,(180/pi)*z(:,2),'black')
     xlabel('tiempo en [segundos]');ylabel('posicion angular en [grados]')
     grid on
     
     ang_c=max(z(:,2)); 
 
    for k=1:length(z(:,2))
        if (abs(z(k,1))<=omega_nula)&(z(k,2)>pi/2)
           Tc=t(k,1);
           ang_c2=z(k,2);
           m00=m0;
           nn=k;
           omega_c=z(k,1);
           cad_Tc=num2str(Tc);
           cad_omega_c=num2str(omega_c);
           cad_ang_c=num2str((180/pi)*ang_c);
           cad_m0_c=num2str(m0);
           cad_dist_c=num2str(r*ang_c);
           plot(t,(180/pi)*z(:,2),'black')
   
    title(['    m0-c [Kg] =',cad_m0_c,'       t-c [s] =',cad_Tc,'       angulo-c [grados] =',cad_ang_c,'       dis-c [m] =',cad_dist_c]);
    xlabel('tiempo en [segundos]');ylabel('posicion angular en [grados]')
    grid on
        end
    end
end

% -----------------------------------------------------------------%   
% graficas desde las CI criticas hasta donde 
% comienza a girar mas de una vuelta el sistema mecanico
% -----------------------------------------------------------------%

if abs(max(z(:,2)))>=ang_inest  
      pause
      clf
      
   
    
   for kk=1:1:length(z(:,2))
          ang_inest1=z(kk,2);
          T_inest=t(kk,1);
          nn=kk;
          m0_inest=m0;
          omega_inest=z(kk,1);
          if abs(z(kk,2))>=ang_inest break
       end 
       
   end 
   
  
   cad1=num2str(T_inest);
   cad2=num2str(m0_inest);
   cad3=num2str(r*ang_inest);
   cad4=num2str(omega_inest);
   plot(t,(180/pi)*z(:,2),'r')
   Tmax=1.2*T_inest; Ang_max=1.1*(180/pi)*ang_inest;
    axis([0,Tmax,0,Ang_max])

   title([' m0-inest [Kg] =',cad2,'      t-inest [s] =',cad1,'      omega-inest [Kg] =',cad4,'       dis-inest [m] =',cad3]);
   asterisco_Pos=text(T_inest,(180/pi)*ang_inest1,'# Punto inestable');
    xlabel('tiempo en [segundos]');ylabel('posicion angular en [grados]')
    
   grid on
    break
   
end

   
