
% -----------------------------------------------------------------%  
% Rutina que realiza la grafica del plano de fase
% posicion - velocidad
% -----------------------------------------------------------------%  

 if abs(max(z(:,2)))<ang_inest
     plot((180/pi)*z(:,2),z(:,1))
     xlabel('posicion angular en [grados]');ylabel('velocidad angular en [rad/s]')
     grid on
     hold on
     ang_c=max(z(:,2)); 
 
    for k=1:length(z(:,2))
        if (abs(z(k,1))<=omega_nula)&(z(k,2)>pi/2)
           Tc=t(k,1);
           ang_c2=z(k,2);
           omega_c=z(k,1);
           cad_Tc=num2str(Tc);
           cad_omega_c=num2str(omega_c);
           cad_ang_c=num2str((180/pi)*ang_c);
           cad_Tet_0=num2str((180/pi)*Tet_0);
           cad_dist_c=num2str(r*ang_c);
           plot((180/pi)*z(:,2),z(:,1))
   
    title(['    Angulo inicial [grados] = ',cad_Tet_0,'       t-c [s] =',cad_Tc,'       angulo-c [grados] =',cad_ang_c,'       dis-c [m] =',cad_dist_c]);
    xlabel('posicion angular en [grados]');ylabel('velocidad angular en [rad/s]')
    grid on
    hold on
       end
    end
end

% -----------------------------------------------------------------%   
% graficas desde la posicion inicial en donde comienza 
% a tener inestabilidad el sistema
% -----------------------------------------------------------------%

if abs(max(z(:,2)))>=ang_inest  
      pause
      cad_Tet_0=num2str((180/pi)*Tet_0);
      hold on
      plot((180/pi)*z(:,2),z(:,1),'r')
   
   for kk=1:1:length(z(:,2))
          ang_inest1=z(kk,2);
          T_inest=t(kk,1);
          nn=kk;
          m0_inest=m0;
          omega_inest=z(kk,1);
          if abs(z(kk,2))>=ang_inest
              break
          end 
   end 
   
   cad1=num2str(T_inest);
   cad2=num2str(m0_inest);
   cad3=num2str(r*ang_inest);
   cad4=num2str(omega_inest);
   plot((180/pi)*z(:,2),z(:,1),'r')
   title([' Angulo inicial [grados] = ',cad_Tet_0,'      t-inest [s] =',cad1,'      omega-inest [Kg] =',cad4,'       dis-inest [m] =',cad3]);
   asterisco_Pos=text((180/pi)*ang_inest1,omega_inest,'#');
   xlabel('posicion angular [grados]');ylabel('velocidad angular [rad/s]')
   grid on
   hold on
   break
end
