% Rutina que realiza las graficas en subplot

% tiempo - posicion
% tiempo - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%

if max(z(:,2))<ang_inest
   subplot(2,1,1)
   plot(t,z(:,2))
   cad=num2str(Tet_0);
   cad16=num2str(r*Tet_0);
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     angulo de acoplo [grados] =',cad,'     distancia de acoplo [m] =',cad16]);
   asterisco_Pos_Vel=text(tinter,Tet_0,'*');
   xlabel('tiempo, en s');
   ylabel('q, en rad')
   grid on
   
   subplot(2,1,2)
   plot(t,z(:,1))
   cad5=num2str(tinter);
   cad6=num2str(DTet_0);
   title(['t de acoplo [s] =',cad5,'     velocidad angular de acoplo [rad/s] =',cad6]);
   asterisco_Pos_Vel=text(tinter,DTet_0,'*');
   xlabel('tiempo, en s');ylabel('w, en rad/s')
   grid on
   
end

% -------------------------------------------%  
%  Graficas tiempo-angulo donde
%  comienza la inestabilidad del sistema
% -------------------------------------------%

if max(z(:,2))>=ang_inest
     pause
     subplot(2,1,1)
    plot(t,z(:,2),'r')  % Porcion de la grafica inestable
    for k=1:length(z(:,2))
          if abs(z(k,2))>=ang_inest
              sal=k;
          break
        end
    end
    T_inest=t(k,1);
    omega_inest=z(k,1);
    Theta_inest=z(k,2);
    cad_omega=num2str(omega_inest);
    cad1=num2str(T_inest);
    cad2=num2str(Theta_inest);
    asterisco_Pos2=text(T_inest,ang_inest,'*');  
    asterisco_Pos20=text(tinter,Tet_0,'*'); 
    xlabel('tiempo en segundos');ylabel('posicion angular en rad/s')
    title(['t de acoplo critico [s] =',cad5,'     para t= ',cad1,'[s]      angulo =',cad2,'[rad] ']);
    axis([ti,1.2*T_inest,0,1.2*Theta_inest])
    grid on
    
    
    subplot(2,1,2)
    plot(t,z(:,1),'r')  % Porcion de la grafica inestable
    grid on
    T_inest=t(k,1);
    omega_inest=z(k,1);
   cad_omega=num2str(omega_inest);
   cad1=num2str(T_inest);
   asterisco_Pos2=text(T_inest,omega_inest,'*');  
   asterisco_Pos20=text(tinter,DTet_0,'*'); 
   xlabel('tiempo en segundos');ylabel('velocidad angular en rad/s')
   title([' para t=', cad1,'   omega= ',cad_omega,'[rad/s] ']);  
   axis([ti,1.2*T_inest,0,1.2*omega_inest])
    
     hold on
   break
end
