% Rutina que realiza la grafica del plano de fase

% posicion - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%

if max(z(:,2))<ang_inest
   plot(z1(:,2),z1(:,1),'blue')
    hold on
   plot(z2(:,2),z2(:,1),'blue')
   hold on;
   cad_Theta=num2str(Tet_0);
   cad_Tinter=num2str(tinter);
   cad_Dtheta=num2str(DTet_0);
   title(['t de acoplo [s] =',cad_Tinter,'     angulo de acoplo [rad] =',cad_Theta,'     omega de acoplo [rad/s] =',cad_Dtheta]);
   asterisco_Pos_Vel=text(Tet_0,DTet_0,'|');
   xlabel('posicion angular en rad');ylabel('velocidad angular en rad/s')
   grid on
   z12=z1(:,2);
   z11=z1(:,1);
   z22=z2(:,2);
   z21=z2(:,1);
   
end

if max(z(:,2))>=ang_inest
    plot(z12,z11,'black')  % Porcion de la grafica inestable
    hold on
    plot(z22,z21,'black')  % Porcion de la grafica inestable
    hold on
    plot(z(:,2),z(:,1),'r')
    hold on
    for k=1:length(z(:,2))
     if abs(z(k,2))>=ang_inest
         sal=k;
         break
      end
 end
   T_inest=t(sal,1);
   omega_inest=z(sal,1);
   theta_inest=z(sal,2);
   cadTinest=num2str(T_inest);
   cadTheta_inest=num2str(theta_inest);
   asterisco_Pos2=text(theta_inest,omega_inest,'# PI');  
   asterisco_Pos20=text(Tet_0,DTet_0,'# AI'); 
   title(['t de acoplo [s] =',cad_Tinter,'     para t =',cadTinest,'[s]     angulo =',cadTheta_inest,'[rad]   y   omega =',omega_inest,'[rad/s]']);
    axis([0, 1.2*theta_inest, -omega_inest, 1.2*omega_inest])
    break
end
  