% Rutina que realiza las graficas en subplot

% tiempo - posicion
% tiempo - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%
subplot(2,1,1)
plot(tout,z(:,2))
cad=num2str(Tet_0);
cad5=num2str(tinter);
title(['tiempo critico =  ',cad5,'     angulo critico =',cad]);
asterisco_Pos=text(tinter,Tet_0,'|');
xlabel('tiempo en segundos');ylabel('posicion angular en grados')
axis([0,tf,min(z(:,2)),max(z(:,2))]);
grid on

subplot(2,1,2)
plot(tout,z(:,1),'r')
cad6=num2str(DTet_0);
title(['tiempo critico =  ',cad5,'     velocidad angular =',cad6]);
asterisco_Vel=text(tinter,DTet_0,'|');
xlabel('tiempo en segundos');ylabel('rapidez angular en rad/s')
axis([0,tf,min(z(:,1)),max(z(:,1))]);
grid on


 
% -----------------------------------------------------------------%   
% graficas desde las CI criticas hasta donde 
% comienza a girar mas de una vuelta el sistema mecanico
% -----------------------------------------------------------------%

if abs(z(k,2))>ang_inest
    pause
    clf;
    
    cad1=num2str(tout(k));
    cad2=num2str(z(k,2));
    cad3=num2str(z(k,1));
    
    subplot(2,1,1)
    plot(tout,z(:,2))
    title(['tiempo(angulo=2*theta_pre_inest )=  ',cad1,'     angulo =',cad2]);
    asterisco_Pos2=text(tout(k),z(k,2),'#');
    xlabel('tiempo en segundos');ylabel('posicion angular en rad')
    axis([0,tf,min(z(:,2)),max(z(:,2))]);
    grid on

    subplot(2,1,2)
    plot(tout,z(:,1),'r')
    title(['tiempo(angulo=2*theta_pre_inest )=  ',cad1,'     velocidad angular =',cad3]);
    asterisco_Vel2=text(tout(k),z(k,1),'#');
    xlabel('tiempo en segundos');ylabel('rapidez angular en rad/s')
    axis([0,tf,min(z(:,1)),max(z(:,1))]);
    grid on;
    
    break % rompe con el for de la simulacion
end
    
% -----------------------------------------------------------------%
