% Rutina que realiza la grafica del plano de fase

% posicion - velocidad

% -------------------------------------------%  
% Graficas para las CI criticas en donde 
% comienza a ser inestable el sistema
% -------------------------------------------%

plot(z1(:,2),z1(:,1),'black')
hold on
plot(z2(:,2),z2(:,1),'blue')

cad=num2str(Tet_0);
cad5=num2str(tinter);
cad6=num2str(DTet_0);

title(['tiempo critico =  ',cad5,'     angulo critico =',cad,'     omega  =',cad6]);
asterisco_Pos_Vel=text(Tet_0,DTet_0,'|');
xlabel('posicion angular en grados');ylabel('velocidad angular en rad/s')
axis([-abs(max(z(:,2))),abs(max(z(:,2))),-abs(max(z(:,1))),abs(max(z(:,1)))]);
grid on
hold on;

% ----------------------------------------------------------------------%   
% llamada a la rutina de graficas desde las CI criticas hasta donde 
% comienza a girar dos vueltas el sistema mecanico
% ----------------------------------------------------------------------%

if abs(z(k,2))>ang_inest
    pause
    cad1=num2str(tout(k));
    cad2=num2str(z(k,2));
    cad3=num2str(z(k,1));
        
    title(['tiempo(angulo=2*theta_inest_pre) =  ',cad1,'     angulo =',cad2,'     velocidad angular=',cad3]);
    asterisco_Pos2=text(z(k,2),z(k,1),'#');
    

    plot(z2(:,2),z2(:,1),'r')  % Porcion de la grafica inestable
    break % rompe con el for de la simulacion
end
    
% ----------------------------------------------------------------------%
